Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	gstreamer 0.10.x - OpenGL plugins
Name:		gst-plugins-gl
Version:	0.10.2
Release:	1
License:	GNU/GPL
URL:		http://gstreamer.sourceforge.net
Group:		Multimedia/Video
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gst-plugins-gl-python26.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

%define         majorminor      0.10

Requires(pre): GConf
Requires(preun): GConf
Requires(post): GConf

# prevent the propietary openGL incarnations from being drawn in
# the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

BuildRequires:	python26-devel

#Automatically resolved build dependencies
BuildRequires: glew-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libpng-devel
BuildRequires: libxml2-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer OpenGL Plug-ins.

%package	devel
Summary:	Documentation for GStreamer Good Plug-ins
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.
GStreamer OpenGL Plug-ins.
This package contains documentation for the GStreamer OpenGL Plug-ins.

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :

%prep
%setup -q -n gst-plugins-gl-%{version}
%patch0 -p1

%build
%configure --sysconfdir=%_sysconfdir/gnome \
  --with-package-name='CCux Linux gst-plugins-gl package' \
  --with-package-origin='http://packages.ccux-linux.de' \
  --disable-gtk-doc

make %{?_smp_mflags}
                                                                                
%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so

%find_lang gst-plugins-gl-%{majorminor}

%files -f gst-plugins-gl-%{majorminor}.lang
%defattr(-, root, root)
%{_libdir}/gstreamer-0.10/libgstopengl.so
%{_libdir}/libgstgl-0.10.so.*

%files devel
%defattr(-, root, root)
%doc %_datadir/gtk-doc/html/gst-plugins-gl-plugins-%{majorminor}
%{_includedir}/gstreamer-%{majorminor}/gst/gl/
%{_libdir}/libgstgl-0.10.so
%{_pkgconfig}/gstreamer-gl-0.10.pc
%{_datadir}/gtk-doc/html/gst-plugins-gl-libs-0.10/   

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.2-1
- version update
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.1-1
- Initial CCux package release
